# coding: utf-8
#DESC:プリセット: Alternalte Location Indicatorの編集

from molFeat import *

def run():

  if len(sys.argv) != 2:
    print "ERROR: 引数が間違っています"
    print "引数1: Alternalte Location Indicatorを編集するPDBファイルのパス"
    return

  path = sys.argv[1]; # ファイルのパス

  if os.path.isfile(path) == False:
    print "ERROR: PDBファイルが存在しません"
    return

  # 編集用のファイルを開く
  fileName,ext = os.path.splitext(os.path.basename(path))
  dirPath = os.path.dirname(path)
  modified = dirPath + "/" + fileName + "_modified" + ".pdb"
  f1 = open(path, 'r')
  f2 = open(modified, 'w')

  # PDBから文字列を抽出
  for line in f1:
    # ATOM/HETATMレコードの17文字目が空か選択したIndicatorの時以外は行を削除
    if line[0:4] == "ATOM" or line[0:6] == "HETATM":
      if line[16:17] == "A" or line[16:17] == " ":
          f2.write(line)
    # ATOM/HETATMレコード以外はそのまま書き出す
    else:
      f2.write(line)

  f1.close()
  f2.close()

  # 編集したファイルをMolFeatに読み込む
  importFile(modified)
  zoomMolecule()



if __name__ == '__main__':
  run()